## jool 4.0.7

=== src/mod/Makefile ===
PROJECTS = common siit nat64
OTHER_TARGETS = modules modules_install clean debug


all: $(PROJECTS)
	# Running the dependencies is enough.
$(PROJECTS):
	$(MAKE) -C $@
$(OTHER_TARGETS):
	$(foreach dir, $(PROJECTS), $(MAKE) -C $(dir) $@;)
install:
	# Don't want to execute depmod thrice; it takes too long.
	$(foreach dir, $(PROJECTS), $(MAKE) -C $(dir) modules_install;)
	depmod

# This target is needed to generate the upstream tarball.
# It's not a typical Kbuild target.
distdir:
	mkdir -p ${distdir}
	cp -r * ${distdir}

.PHONY: $(PROJECTS) $(OTHER_TARGETS) install dist

=== src/mod/nat64/Makefile ===
MODULES_DIR ?= /lib/modules/$(shell uname -r)
KERNEL_DIR ?= ${MODULES_DIR}/build
KBUILD_EXTRA_SYMBOLS = $(src)/../common/Module.symvers

#CC=cgcc    # More healthy warnings.
#CC=gcc-4.9 # Needed to cross-compile Jool for an older machine.
ccflags-y := -I$(src)/../.. $(JOOL_FLAGS)
#ccflags-y += -Wfatal-errors -Werror

obj-m += jool.o

all:
	make -C ${KERNEL_DIR} M=$$PWD JOOL_FLAGS="${JOOL_FLAGS}"
modules:
	make -C ${KERNEL_DIR} M=$$PWD $@
modules_install:
	make -C ${KERNEL_DIR} M=$$PWD $@
install: modules_install
	depmod
clean:
	make -C ${KERNEL_DIR} M=$$PWD $@
debug:
	make all JOOL_FLAGS+=-DDEBUG

=== src/mod/siit/Makefile ===
MODULES_DIR ?= /lib/modules/$(shell uname -r)
KERNEL_DIR ?= ${MODULES_DIR}/build
KBUILD_EXTRA_SYMBOLS = $(src)/../common/Module.symvers

#CC=cgcc    # More healthy warnings.
#CC=gcc-4.9 # Needed to cross-compile Jool for an older machine.
ccflags-y := -I$(src)/../.. $(JOOL_FLAGS)
#ccflags-y += -Wfatal-errors -Werror

obj-m += jool_siit.o

all:
	make -C ${KERNEL_DIR} M=$$PWD JOOL_FLAGS="${JOOL_FLAGS}"
modules:
	make -C ${KERNEL_DIR} M=$$PWD $@
modules_install:
	make -C ${KERNEL_DIR} M=$$PWD $@
install: modules_install
	depmod
clean:
	make -C ${KERNEL_DIR} M=$$PWD $@
debug:
	make all JOOL_FLAGS+=-DDEBUG

=== src/usr/iptables/Makefile ===
# Confession time:
#
# I haven't the slightliest clue how to convert this Makefile into a proper
# Makefile.am. By default, libtool (from the autotools) creates a lot of
# auxiliary files, and they don't seem to play well with iptables. I tried
# finding example iptables projects that use autotools, and I couldn't find
# anything. (Part of the problem is that I don't know how to look for them, or
# whether they exist.)
#
# I don't even know if it can be done to begin with, because autotools is
# supposed to be a Unix standard thing, while iptables is a Linux-specific
# thing. If the autotools make too many assumptions regarding the use of these
# shared objects, I suppose it might render them uniptablable.
#
# So I don't know if the problem can be fixed, but if it does, I'll probably
# need to read the entire libtool manual to figure it out. But it's like a
# million pages long. I don't even know what I'm supposed to be looking for:
# https://www.gnu.org/software/libtool/manual/libtool.html
# TODO But I mean, I should probably read it anyway.

DEFAULT_CFLAGS  = -Wall -pedantic -std=gnu11 -O2
DEFAULT_CFLAGS += -I../..
DEFAULT_CFLAGS += $(shell pkg-config xtables --cflags)

XTABLES_SO_DIR = $(shell pkg-config xtables --variable xtlibdir)

all:
	make libxt_JOOL_SIIT.so;
	make libxt_JOOL.so;
install:
	mkdir -p ${DESTDIR}${XTABLES_SO_DIR}
	cp *.so ${DESTDIR}${XTABLES_SO_DIR}
uninstall:
	rm -f ${DESTDIR}${XTABLES_SO_DIR}/libxt_JOOL_SIIT.so
	rm -f ${DESTDIR}${XTABLES_SO_DIR}/libxt_JOOL.so
lib%.so: lib%.o
	${CC} -shared -fPIC ${LDFLAGS} -o $@ $^;
lib%.o: lib%.c
	${CC} ${DEFAULT_CFLAGS} ${CFLAGS} -D_INIT=lib$*_init -fPIC -c -o $@ $<;
clean distclean:
	rm -f *.so
distdir:
	mkdir -p ${distdir}
	cp *.c *.man Makefile ${distdir}

=== debian/changelog ===
jool (4.0.7-1) unstable; urgency=medium

  * New upstream release
  * Kbuild: s/SUBDIRS/M/ (Closes: #946681)

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Tue, 17 Dec 2019 15:31:29 -0600

jool (4.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Mon, 11 Nov 2019 10:28:43 -0600

jool (4.0.4-1) unstable; urgency=low

  * Initial release (Closes: #883393)

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Thu, 1 Aug 2019 11:06:08 -0500

=== debian/control ===
Source: jool
Maintainer: Jool Team <jool@nic.mx>
Uploaders: Alberto Leiva Popper <ydahhrk@gmail.com>
Section: kernel
Priority: optional
Build-Depends: debhelper (>= 11), dkms,
 mime-support, pkg-config, gawk, file, cpio,
 libnl-genl-3-dev, libnl-3-dev,
 libxtables-dev
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://jool.mx
Vcs-Browser: https://github.com/NICMx/Jool
Vcs-Git: https://github.com/NICMx/Jool.git -b debian

Package: jool-dkms
Architecture: all
Depends: ${misc:Depends}, libxtables12
Recommends: jool-tools
Description: kernel-based SIIT and NAT64 (IP/ICMP translation)
 Jool is an IP/ICMP translator; a NAT-like kernel-based utility that converts
 IPv4 traffic into IPv6 and vice versa, according to a configurable IP address
 translation strategy.
 .
 The `jool_siit` module implements SIIT (sometimes known as "Stateless NAT64"),
 a lightweight translator that avoids storing state by keeping a deterministic
 1-to-1 relationship between IPv4 addresses and their IPv6 counterparts. It can
 translate addresses using the "traditional prefix" algorithm defined in RFC
 6052, and/or the Explicit Address Mapping algorithm defined in RFC 7757.
 .
 The `jool` module implements Stateful NAT64, a translator that can achieve 1
 (IPv4)-to-N (IPv6) relationships through a mapping strategy based on stateful
 NAT. Its full address translation algorithm is defined in RFC 6146.
 .
 Both of these functions can be attached to the kernel in Netfilter hooks or as
 iptables targets.
 .
 This package contains the kernel modules. The jool-tools package contains the
 userspace configuration clients.

Package: jool-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: jool-dkms
Description: userspace utilities for the Jool kernel modules
 Jool is an IP/ICMP translator; a NAT-like kernel-based utility that converts
 IPv4 traffic into IPv6 and vice versa, according to a configurable IP address
 translation strategy.
 .
 This package contains the userspace tools. The kernel modules can be found in
 the jool-dkms package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# See debhelper(7)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with=dkms

# -- Overrides needed by the kernel modules --

override_dh_dkms:
	# -V enables us to use #MODULE_VERSION# in the jool-dkms.dkms file.
	dh_dkms -V

# -- Overrides needed by the shared libraries --

override_dh_install:
	dh_install -Njool-dkms
	dh_install -pjool-dkms \
		-X/usr/ -X.o -XMakefile.in -XMakefile.am \
		src usr/src/jool-dkms-$(DEB_VERSION_UPSTREAM)
	# Fixes lintian warning: non-empty-dependency_libs-in-la-file
	# I have no idea why this needs to be done, nor why I'm supposed to do
	# it myself.
	find $(CURDIR)/debian -name *.la -delete

override_dh_makeshlibs:
	# --no-scripts: Do not add the "ldconfig" trigger, even if it seems like
	# the package might need it.
	# Once again, fixes some lintian warning:
	# package-has-unnecessary-activation-of-ldconfig-trigger.
	# Apparently dh_makeshlibs is not detecting that all of the project's
	# libraries are private, so the ldconfig is redundant.
	dh_makeshlibs --no-scripts

# -- Overrides needed by the systemd unit files --

override_dh_installsystemd:
	dh_installsystemd --name=jool_siit
	dh_installsystemd --name=jool

# TODO delete this once they fix the policy
override_dh_installinit:
	dh_installinit --no-enable --no-start --name=jool_siit
	dh_installinit --no-enable --no-start --name=jool

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://jool.mx/en/download.html https://github.com/NICMx/Jool/releases/download/v\d+\.\d+\.\d+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## jool 4.1.2

=== debian/changelog ===
jool (4.1.2-1) unstable; urgency=low

  * New upstream release

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Wed, 22 Jul 2020 15:57:32 -0600

jool (4.1.1-1) unstable; urgency=low

  * New upstream release

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Thu, 2 Jul 2020 12:18:11 -0600

jool (4.1.0-1) unstable; urgency=low

  * New upstream release

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Fri, 19 Jun 2020 17:27:43 -0600

jool (4.0.9-1) unstable; urgency=low

  * New upstream release

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Wed, 6 May 2020 12:06:21 -0600

jool (4.0.8-1) unstable; urgency=low

  * New upstream release

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Tue, 31 Mar 2020 12:25:44 -0600

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  mime-support, pkg-config, gawk, file, cpio,
  libnl-genl-3-dev, libnl-3-dev,
  libxtables-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://jool.mx
 Vcs-Browser: https://github.com/NICMx/Jool

## jool 4.1.5

=== src/mod/common/Makefile ===
MODULES_DIR ?= /lib/modules/$(shell uname -r)
KERNEL_DIR ?= ${MODULES_DIR}/build

all:
	make -C ${KERNEL_DIR} M=$$PWD JOOL_FLAGS="${JOOL_FLAGS}"
modules:
	make -C ${KERNEL_DIR} M=$$PWD $@
modules_install:
	make -C ${KERNEL_DIR} M=$$PWD $@
install: modules_install
	depmod
clean:
	make -C ${KERNEL_DIR} M=$$PWD $@
debug:
	make all JOOL_FLAGS+=-DDEBUG

=== src/mod/nat64/Makefile ===
--- 
+++ 
@@ -3,9 +3,7 @@
 KBUILD_EXTRA_SYMBOLS = $(src)/../common/Module.symvers
 
 #CC=cgcc    # More healthy warnings.
-#CC=gcc-4.9 # Needed to cross-compile Jool for an older machine.
 ccflags-y := -I$(src)/../.. $(JOOL_FLAGS)
-#ccflags-y += -Wfatal-errors -Werror
 
 obj-m += jool.o

=== src/mod/siit/Makefile ===
--- 
+++ 
@@ -3,9 +3,7 @@
 KBUILD_EXTRA_SYMBOLS = $(src)/../common/Module.symvers
 
 #CC=cgcc    # More healthy warnings.
-#CC=gcc-4.9 # Needed to cross-compile Jool for an older machine.
 ccflags-y := -I$(src)/../.. $(JOOL_FLAGS)
-#ccflags-y += -Wfatal-errors -Werror
 
 obj-m += jool_siit.o

=== debian/changelog ===
jool (4.1.5-1) unstable; urgency=low

  * New upstream release

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Fri, 19 Feb 2021 17:06:43 -0600

jool (4.1.4-1) unstable; urgency=low

  * New upstream release

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Wed, 7 Oct 2020 11:32:14 -0600

jool (4.1.3-1) unstable; urgency=low

  * New upstream release

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Wed, 2 Sep 2020 15:58:02 -0600

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  mime-support, pkg-config, gawk, file, cpio,
  libnl-genl-3-dev, libnl-3-dev,
  libxtables-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://jool.mx
 Vcs-Browser: https://github.com/NICMx/Jool

## jool 4.1.7

=== debian/changelog ===
jool (4.1.7-1) unstable; urgency=low

  * New upstream release
  * Fix joold in Linux > 5.10. Closes: #1001060
  * (Actually, joold was fixed in 4.1.6-1. I forgot to close.)

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Thu, 27 Jan 2022 16:37:34 -0600

jool (4.1.6-1) unstable; urgency=low

  * New upstream release

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Fri, 10 Dec 2021 15:26:08 -0600

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  mime-support, pkg-config, gawk, file, cpio,
  libnl-genl-3-dev, libnl-3-dev,
  libxtables-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Homepage: https://jool.mx
 Vcs-Browser: https://github.com/NICMx/Jool

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# See debhelper(7)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@ --with=dkms

# -- Overrides needed by the kernel modules --

override_dh_dkms:
	# -V enables us to use #MODULE_VERSION# in the jool-dkms.dkms file.
	dh_dkms -V

override_dh_install:
	# See `debhelper(7)`, not `dh_install(1)`.
	dh_install -Njool-dkms
	dh_install -pjool-dkms \
		-X/usr/ -X.o -XMakefile.in -XMakefile.am \
		src usr/src/jool-dkms-$(DEB_VERSION_UPSTREAM)

# -- Overrides needed by the systemd unit files --

override_dh_installsystemd:
	dh_installsystemd --name=jool_siit
	dh_installsystemd --name=jool

# TODO delete this once they fix the policy
override_dh_installinit:
	dh_installinit --no-enable --no-start --name=jool_siit
	dh_installinit --no-enable --no-start --name=jool

## jool 4.1.8

=== debian/changelog ===
jool (4.1.8-1) unstable; urgency=low

  * New upstream release

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Sun, 20 Mar 2022 17:53:57 -0600

## jool 4.1.9

=== src/mod/Makefile ===
--- 
+++ 
@@ -11,10 +11,10 @@
 install:
 	# Don't want to execute depmod thrice; it takes too long.
 	$(foreach dir, $(PROJECTS), $(MAKE) -C $(dir) modules_install;)
-	depmod
+	/sbin/depmod
 
 # This target is needed to generate the upstream tarball.
-# It's not a typical Kbuild target.
+# It's not a standard Kbuild target.
 distdir:
 	mkdir -p ${distdir}
 	cp -r * ${distdir}

=== src/usr/iptables/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 lib%.so: lib%.o
 	${CC} -shared -fPIC ${LDFLAGS} -o $@ $^;
 lib%.o: lib%.c
-	${CC} ${DEFAULT_CFLAGS} ${CFLAGS} -D_INIT=lib$*_init -fPIC -c -o $@ $<;
+	${CC} ${DEFAULT_CFLAGS} ${CPPFLAGS} ${CFLAGS} -D_INIT=lib$*_init -fPIC -c -o $@ $<;
 clean distclean:
 	rm -f *.so
 distdir:

=== debian/changelog ===
jool (4.1.9-1ubuntu1) lunar; urgency=medium

  * Fix Linux 6.2 (LP: #2006733)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 09 Feb 2023 10:58:46 +0000

jool (4.1.9-1) unstable; urgency=medium

  * New upstream release
  * Switch to dh-sequence-dkms. Closes: #1027877
  * Declare Testsuite: autopkgtest-pkg-dkms
  * Modernize the iptables shared object exports. Closes: #1029268

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Fri, 27 Jan 2023 10:24:52 -0600

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: jool
-Maintainer: Jool Team <jool@nic.mx>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jool Team <jool@nic.mx>
 Uploaders: Alberto Leiva Popper <ydahhrk@gmail.com>
 Section: kernel
 Priority: optional
-Build-Depends: debhelper (>= 11), dkms,
+Build-Depends:
+ debhelper (>= 11), dh-sequence-dkms,
  mime-support, pkg-config, gawk, file, cpio,
  libnl-genl-3-dev, libnl-3-dev,
  libxtables-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://jool.mx
 Vcs-Browser: https://github.com/NICMx/Jool
 Vcs-Git: https://github.com/NICMx/Jool.git -b debian
+Testsuite: autopkgtest-pkg-dkms
 
 Package: jool-dkms
 Architecture: all

## jool 4.1.11

=== src/mod/Makefile ===
--- 
+++ 
@@ -13,10 +13,12 @@
 	$(foreach dir, $(PROJECTS), $(MAKE) -C $(dir) modules_install;)
 	/sbin/depmod
 
+distclean maintainer-clean: clean
+
 # This target is needed to generate the upstream tarball.
 # It's not a standard Kbuild target.
 distdir:
 	mkdir -p ${distdir}
 	cp -r * ${distdir}
 
-.PHONY: $(PROJECTS) $(OTHER_TARGETS) install dist
+.PHONY: $(PROJECTS) $(OTHER_TARGETS) install dist distclean maintainer-clean

=== src/mod/common/Makefile ===
MODULES_DIR ?= /lib/modules/$(shell uname -r)
KERNEL_DIR ?= ${MODULES_DIR}/build

all:
	make -C ${KERNEL_DIR} M=$$PWD
modules:
	make -C ${KERNEL_DIR} M=$$PWD $@
modules_install:
	make -C ${KERNEL_DIR} M=$$PWD $@
install: modules_install
	depmod
clean:
	make -C ${KERNEL_DIR} M=$$PWD $@
debug:
	make CFLAGS_MODULE+=-DDEBUG all

=== src/mod/siit/Makefile ===
MODULES_DIR ?= /lib/modules/$(shell uname -r)
KERNEL_DIR ?= ${MODULES_DIR}/build
KBUILD_EXTRA_SYMBOLS = $(src)/../common/Module.symvers

#CC=cgcc    # More healthy warnings.
ccflags-y := -I$(src)/../..

obj-m += jool_siit.o

all:
	make -C ${KERNEL_DIR} M=$$PWD
modules:
	make -C ${KERNEL_DIR} M=$$PWD $@
modules_install:
	make -C ${KERNEL_DIR} M=$$PWD $@
install: modules_install
	depmod
clean:
	make -C ${KERNEL_DIR} M=$$PWD $@
debug:
	make CFLAGS_MODULE+=-DDEBUG all

=== debian/changelog ===
jool (4.1.11-1ubuntu0.1) noble; urgency=medium

  * Support linux 6.17 (LP: #2133887)
    - debian/patches/rename-to-timer_delete_sync-in-Linux-6.15.patch
    - Updating Maintainer to Ubuntu Developers
    - Changing build dependency pkg-config => pkgconf

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 04 Dec 2025 11:27:09 -0600

jool (4.1.11-1) unstable; urgency=medium

  * New upstream release
  * Remove all links to jool.mx. Closes: #1041856
  * Add the "distclean" target to the kernelmod Makefiles. Closes: #1046037
  * Add support for kernels up to 6.7-rc6. Closes: #1057445
  * Remove mime-support from build dependencies. Closes: #1057703
  * Move jool service startup to After=network-pre.target. (See Github #409.)

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Sun, 24 Dec 2023 15:00:46 -0600

jool (4.1.10-1) unstable; urgency=medium

  * New upstream release

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Sun, 11 Jun 2023 17:30:15 -0600

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: jool
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jool Team <jool@nic.mx>
-Uploaders: Alberto Leiva Popper <ydahhrk@gmail.com>
+XSBC-Original-Maintainer: Alberto Leiva Popper <ydahhrk@gmail.com>
 Section: kernel
 Priority: optional
 Build-Depends:
- debhelper (>= 11), dh-sequence-dkms,
- mime-support, pkg-config, gawk, file, cpio,
+ debhelper (>= 11), dh-sequence-dkms, dkms,
+ pkgconf, gawk, file, cpio,
  libnl-genl-3-dev, libnl-3-dev,
  libxtables-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://jool.mx
+Homepage: https://nicmx.github.io/Jool
 Vcs-Browser: https://github.com/NICMx/Jool
 Vcs-Git: https://github.com/NICMx/Jool.git -b debian
 Testsuite: autopkgtest-pkg-dkms

## jool 4.1.12

=== debian/changelog ===
jool (4.1.12-1) unstable; urgency=medium

  * New upstream release
  * Remove dkms from Build-Depends. Closes: #1041311
  * Fix Lintian build-depends-on-obsolete-package: pkg-config => pkgconf

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Sat, 22 Jun 2024 20:56:29 -0600

## jool 4.1.13

=== src/mod/Makefile ===
--- 
+++ 
@@ -13,7 +13,9 @@
 	$(foreach dir, $(PROJECTS), $(MAKE) -C $(dir) modules_install;)
 	/sbin/depmod
 
-distclean maintainer-clean: clean
+distclean maintainer-clean:
+	find . -type f -a \! \( -name \*.h -o -name \*.c -o -name Makefile -o -name Kbuild \) -print0 | xargs -0r rm
+	find . -type f -a -name \*.mod.c -print0 | xargs -0r rm
 
 # This target is needed to generate the upstream tarball.
 # It's not a standard Kbuild target.

=== debian/changelog ===
jool (4.1.13-1) unstable; urgency=medium

  * New upstream release
  * Improve kernel module's Makefile distclean. Closes: #1074120

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Fri, 23 Aug 2024 22:11:05 -0600

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: jool
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alberto Leiva Popper <ydahhrk@gmail.com>
+Maintainer: Alberto Leiva Popper <ydahhrk@gmail.com>
 Section: kernel
 Priority: optional
 Build-Depends:
- debhelper (>= 11), dh-sequence-dkms, dkms,
+ debhelper (>= 11), dh-sequence-dkms,
  pkgconf, gawk, file, cpio,
  libnl-genl-3-dev, libnl-3-dev,
  libxtables-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://nicmx.github.io/Jool
 Vcs-Browser: https://github.com/NICMx/Jool

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 
 %:
-	dh $@ --with=dkms
+	dh $@
 
 # -- Overrides needed by the kernel modules --

## jool 4.1.14

=== src/mod/nat64/Makefile ===
MODULES_DIR ?= /lib/modules/$(shell uname -r)
KERNEL_DIR ?= ${MODULES_DIR}/build
KBUILD_EXTRA_SYMBOLS = $(src)/../common/Module.symvers

#CC=cgcc    # More healthy warnings.
ccflags-y := -I$(src)/../..

obj-m += jool.o

all:
	make -C ${KERNEL_DIR} M=$$PWD
modules:
	make -C ${KERNEL_DIR} M=$$PWD $@
modules_install:
	make -C ${KERNEL_DIR} M=$$PWD $@
install: modules_install
	depmod
clean:
	make -C ${KERNEL_DIR} M=$$PWD $@
debug:
	make CFLAGS_MODULE+=-DDEBUG all

=== src/usr/iptables/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	${CC} -shared -fPIC ${LDFLAGS} -o $@ $^;
 lib%.o: lib%.c
 	${CC} ${DEFAULT_CFLAGS} ${CPPFLAGS} ${CFLAGS} -D_INIT=lib$*_init -fPIC -c -o $@ $<;
-clean distclean:
+clean distclean maintainer-clean:
 	rm -f *.so
 distdir:
 	mkdir -p ${distdir}

=== debian/changelog ===
jool (4.1.14-3) unstable; urgency=medium

  * Move the source copying to `execute_after_dh_install-indep`.
    Thanks to Santiago Vila and Andreas Beckmann for this solution to #1105183.
  * Update FSF contactin copyright. Fixes Lintian warning:
    "old-fsf-address-in-copyright-file"

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Wed, 21 May 2025 12:57:23 -0600

jool (4.1.14-2) unstable; urgency=medium

  * Remove wildcards from installs. Closes: #1103714

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Tue, 29 Apr 2025 12:54:04 -0600

jool (4.1.14-1) unstable; urgency=medium

  * New upstream release

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Wed, 16 Apr 2025 15:38:37 -0600

jool (4.1.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove -dkms suffix from dkms module name. Closes: #1098833
  * dkms.conf: Fix CLEAN command: use the headers that were used for building.
  * dkms.conf: Declare BUILD_EXCLUSIVE_KERNEL_MIN="4.12".

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Mar 2025 10:59:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Section: kernel
 Priority: optional
 Build-Depends:
- debhelper (>= 11), dh-sequence-dkms,
+ debhelper-compat (= 13),
+ debhelper (>= 13), dh-sequence-dkms,
  pkgconf, gawk, file, cpio,
  libnl-genl-3-dev, libnl-3-dev,
  libxtables-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://nicmx.github.io/Jool
 Vcs-Browser: https://github.com/NICMx/Jool

=== debian/rules ===
--- 
+++ 
@@ -22,12 +22,9 @@
 	# -V enables us to use #MODULE_VERSION# in the jool-dkms.dkms file.
 	dh_dkms -V
 
-override_dh_install:
-	# See `debhelper(7)`, not `dh_install(1)`.
-	dh_install -Njool-dkms
-	dh_install -pjool-dkms \
-		-X/usr/ -X.o -XMakefile.in -XMakefile.am \
-		src usr/src/jool-dkms-$(DEB_VERSION_UPSTREAM)
+execute_after_dh_install-indep:
+	dh_install -X/usr/ -X.o -XMakefile.in -XMakefile.am \
+ 		src usr/src/jool-$(DEB_VERSION_UPSTREAM)
 
 # -- Overrides needed by the systemd unit files --

## jool 4.1.15

=== debian/changelog ===
jool (4.1.15-1) unstable; urgency=medium

  * New upstream release
  * Add support for kernel 6.18. Closes: #1120527

 -- Alberto Leiva Popper <ydahhrk@gmail.com>  Mon, 26 Jan 2026 15:14:24 -0600
